> For the complete documentation index, see [llms.txt](https://docs.shiftiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftiq.com/developers/api-v2/navigating-the-api/records-api-periods.md).

# Records API: Periods

## GET /api/records/periods/{period}

> Retrieves one specific period

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"PeriodModel":{"type":"object","properties":{"PeriodId":{"type":"string","format":"uuid"},"PeriodName":{"type":"string","nullable":true},"PeriodEnd":{"type":"string","format":"date-time"},"PeriodStart":{"type":"string","format":"date-time"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/records/periods/{period}":{"get":{"tags":["Records API: Periods"],"summary":"Retrieves one specific period","operationId":"retrievePeriod","parameters":[{"name":"period","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PeriodModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PeriodModel"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/records/periods/{period}

> Checks for the existence of one specific period

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/records/periods/{period}":{"head":{"tags":["Records API: Periods"],"summary":"Checks for the existence of one specific period","operationId":"assertPeriod","parameters":[{"name":"period","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/records/periods/collect

> Collects the list of periods that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeriods":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"EndSince":{"type":"string","format":"date-time","nullable":true},"EndBefore":{"type":"string","format":"date-time","nullable":true},"StartSince":{"type":"string","format":"date-time","nullable":true},"StartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PeriodModel":{"type":"object","properties":{"PeriodId":{"type":"string","format":"uuid"},"PeriodName":{"type":"string","nullable":true},"PeriodEnd":{"type":"string","format":"date-time"},"PeriodStart":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/records/periods/collect":{"post":{"tags":["Records API: Periods"],"summary":"Collects the list of periods that match specific criteria","operationId":"collectPeriods","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PeriodModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PeriodModel"}}}}}}}}}}
```

## POST /api/records/periods/count

> Counts the periods that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountPeriods":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"EndSince":{"type":"string","format":"date-time","nullable":true},"EndBefore":{"type":"string","format":"date-time","nullable":true},"StartSince":{"type":"string","format":"date-time","nullable":true},"StartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/periods/count":{"post":{"tags":["Records API: Periods"],"summary":"Counts the periods that match specific criteria","operationId":"countPeriods","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountPeriods"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountPeriods"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountPeriods"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountPeriods"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/records/periods/download

> Downloads the list of periods that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectPeriods":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"EndSince":{"type":"string","format":"date-time","nullable":true},"EndBefore":{"type":"string","format":"date-time","nullable":true},"StartSince":{"type":"string","format":"date-time","nullable":true},"StartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/periods/download":{"post":{"tags":["Records API: Periods"],"summary":"Downloads the list of periods that match specific criteria","operationId":"downloadPeriods","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectPeriods"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/records/periods/search

> Searches for the list of periods that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchPeriods":{"type":"object","properties":{"Name":{"type":"string","nullable":true},"EndSince":{"type":"string","format":"date-time","nullable":true},"EndBefore":{"type":"string","format":"date-time","nullable":true},"StartSince":{"type":"string","format":"date-time","nullable":true},"StartBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PeriodMatch":{"type":"object","properties":{"Id":{"type":"string","format":"uuid"},"Name":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/records/periods/search":{"post":{"tags":["Records API: Periods"],"summary":"Searches for the list of periods that match specific criteria","operationId":"searchPeriods","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchPeriods"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchPeriods"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchPeriods"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchPeriods"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PeriodMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PeriodMatch"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/records-api-periods.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
